#!/usr/local/bin/ruby
 while line = ARGF.gets
   line.gsub!(/\/\//,"#//" )
   line.gsub!(/\{/, "")
   line.gsub!(/\}/,"end")
   line.gsub!(/->/,".")
   line.gsub!(/this/,"self")
   line.gsub!(/;/,"")
   print line
end
